Part Chamfer/ro: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 8: Line 8:


==Cum se utilizează==
==Cum se utilizează==
# Press the {{KEY|[[Image:Part_Chamfer.svg|30px]]}} button from the [[Part_Workbench|Part Workbench]]. Alternatively, you can select {{MenuCommand|Part → Chamfer}}.
# Apăsați butonul {{KEY|[[Image:Part_Chamfer.svg|30px]]}} din aelierul [[Part_Workbench|Part Workbench]]. Alternativ, puteți selecta {{MenuCommand|Part → Chamfer}}.
# Selectați forma care urmează să se șanfrenată din fereastra de dialog.
# Select the shape to chamfer from the dialog.
# Selectați margini care urmează să fie șanfrenate, bifând caseta corespunzătoare în fereastra de precizie sau selectându-le direct pe model.
# Select edges to chamfer by checking the corresponding box in the chamfer dialog or by selecting them on the model directly.
# Editați parametrii chamfer.
# Edit chamfer parameters.
# Press OK to close the chamfer dialog and apply the chamfer.
# Apăsați OK pentru a închide caseta de dialog și a aplica șanfrenul.


==Opțiuni==
==Opțiuni==

Revision as of 11:45, 19 September 2018

Part Chamfer

poziția meniului
Part → Chamfer
Ateliere
Part, Complete
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
nici unul

Descriere

Șanfrenarea marginii sau a marginilor selectate ale unui obiect. O casetă de dialog vă permite să alegeți marginea (marginile) la care să lucrați și să modificați diferitele setări ale șanfrenului.

Chamfer example

Cum se utilizează

  1. Apăsați butonul din aelierul Part Workbench. Alternativ, puteți selecta Part → Chamfer.
  2. Selectați forma care urmează să se șanfrenată din fereastra de dialog.
  3. Selectați margini care urmează să fie șanfrenate, bifând caseta corespunzătoare în fereastra de precizie sau selectându-le direct pe model.
  4. Editați parametrii chamfer.
  5. Apăsați OK pentru a închide caseta de dialog și a aplica șanfrenul.

Opțiuni

Dialog-chamfer

  • When selecting edges on the model, you have the option to select by edge or by face. Selecting by face will select all bordering edges of that face.
  • Constant length chamfer or variable length chamfer.
    • A constant length chamfer will create a chamfer with edges equidistant to the original edge at the distance specified.
    • A variable length chamfer will have edges that may be set to different distances from the original edge, allowing you to create a chamfer at a variable angle.

Proprietăți

Part_Chamfer Properties
Part_Chamfer Properties


Base

  • DateBase: The shape onto which the chamfer is to be applied.
  • DatePlacement: Specifies the orientation and position of the shape in the 3D space.
  • DateLabel: Label given to the object. Change to suit your needs.

Script

Instrumentul Chamfer poate fi utilizat în macros și din consolă python prin adăugarea unui obiect Chamfer în document.

Exemplu de Script:

import Part
cube = FreeCAD.ActiveDocument.addObject("Part::Feature", "myCube")
cube.Shape = Part.makeBox(5, 5, 5)
chmfr = FreeCAD.ActiveDocument.addObject("Part::Chamfer", "myChamfer")
chmfr.Base = FreeCAD.ActiveDocument.myCube
myEdges = []
myEdges.append((1, 1.5, 1.25)) # (edge number, chamfer start length, chamfer end length)
myEdges.append((2, 1.5, 1.25))
myEdges.append((3, 1.5, 1.25))
myEdges.append((4, 1.5, 1.25))
myEdges.append((5, 1.5, 1.25))
myEdges.append((6, 1.5, 1.25))
myEdges.append((7, 1.5, 1.25))
myEdges.append((8, 1.5, 1.25))
myEdges.append((9, 1.5, 1.25))
myEdges.append((10, 1.5, 1.25))
myEdges.append((11, 1.5, 1.25))
myEdges.append((12, 1.5, 1.25))
chmfr.Edges = myEdges
FreeCADGui.ActiveDocument.myCube.Visibility = False
FreeCAD.ActiveDocument.recompute()

Example Script Explanation:

import Part
cube = FreeCAD.ActiveDocument.addObject("Part::Feature", "myCube")
cube.Shape = Part.makeBox(5, 5, 5)
  • Creates a 5 mm cube for us to apply chamfered edges to. See Part_API for an explanation of the makeBox method.
chmfr = FreeCAD.ActiveDocument.addObject("Part::Chamfer", "myChamfer")
  • Adds a new object to the document of type Chamfer (from the Part module) with label "myChamfer".
chmfr.Base = FreeCAD.ActiveDocument.myCube
  • Specifies that the base shape of the chamfer object should be "myCube".
myEdges = []
myEdges.append((1, 1.5, 1.25)) # (edge number, chamfer start length, chamfer end length)
myEdges.append((2, 1.5, 1.25))
myEdges.append((3, 1.5, 1.25))
myEdges.append((4, 1.5, 1.25))
myEdges.append((5, 1.5, 1.25))
myEdges.append((6, 1.5, 1.25))
myEdges.append((7, 1.5, 1.25))
myEdges.append((8, 1.5, 1.25))
myEdges.append((9, 1.5, 1.25))
myEdges.append((10, 1.5, 1.25))
myEdges.append((11, 1.5, 1.25))
myEdges.append((12, 1.5, 1.25))
  • Creates an empty array "myEdges" and then appends the array with each edge's chamfer parameters.
  • Syntax for each item should be (edge#, chamfer start length, chamfer end length)
chmfr.Edges = myEdges
  • Sets the Edges attribute of our Chamfer object equal to the array we just created.
FreeCADGui.ActiveDocument.myCube.Visibility = False
  • Această linie ascunde pur și simplu "myCube", astfel încât obiectul nou creat "myChamfer" este singurul vizibil.
FreeCAD.ActiveDocument.recompute()
  • Recalculează toate componentele modificate de pe ecran și reîmprospătează afișajul.